%define libxft %mklibname xft 2
Name: libxft
Summary:  X FreeType library
Version: 2.1.10
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXft-%{version}.tar.bz2
# (fc) 2.1.8.2-4mdv fix crash with rxvt-unicode
Patch0: libXft-2.1.8.2-fixrxvtcrash.patch
# (fc) 2.1.8.2-4mdv enable artificial embolding in Xft
Patch1: libXft-2.1.8.2-embold.patch
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libfontconfig-devel >= 2.3.93
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxrender-devel >= 0.9.0.2
BuildRequires: x11-util-macros >= 1.0.1

%description
X FreeType library

#-----------------------------------------------------------

%package -n %{libxft}
Summary:  X FreeType library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxft}
X FreeType library

#-----------------------------------------------------------

%package -n %{libxft}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxft} = %{version}
Requires: freetype2-devel >= 2.1.10
Provides: xft2-devel = %{version}-%{release}
Provides: libxft-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxft}-devel
Development files for %{name}

%pre -n %{libxft}-devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libxft}-devel
%defattr(-,root,root)
%multiarch %{multiarch_bindir}/xft-config
%{_bindir}/xft-config
%{_libdir}/libXft.so
%{_libdir}/libXft.la
%{_libdir}/pkgconfig/xft.pc
%{_includedir}/X11/Xft/Xft.h
%{_includedir}/X11/Xft/XftCompat.h
%{_mandir}/man1/xft-config.1.bz2
%{_mandir}/man3/Xft.3.bz2

#-----------------------------------------------------------

%package -n %{libxft}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxft}-devel = %{version}
Provides: xft2-static-devel = %{version}-%{release}
Provides: libxft-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxft}-static-devel
Static development files for %{name}

%files -n %{libxft}-static-devel
%defattr(-,root,root)
%{_libdir}/libXft.a

#-----------------------------------------------------------

%prep
%setup -q -n libXft-%{version}
%patch0 -p1 -b .fixrxvtcrash
%patch1 -p1 -b .embold

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/xft-config

%clean
rm -rf %{buildroot}

%post -n %{libxft} -p /sbin/ldconfig
%postun -n %{libxft} -p /sbin/ldconfig

%files -n %{libxft}
%defattr(-,root,root)
%{_libdir}/libXft.so.2
%{_libdir}/libXft.so.2.1.2


%changelog
* Thu Jun 08 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-08 19:59:47 (36834)
- rebuild to fix some multiarch files

* Thu Jun 08 2006 anssi
+ 2006-06-08 18:29:53 (36830)
- mark xft-config as multiarch

* Tue Jun 06 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-06 21:49:25 (36742)
- new upstream release (2.1.20):
   * Move XftNameUnparse to the public API

* Mon Jun 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-05 22:08:08 (36674)
- new upstream version (2.1.9):
   * Don't export unnecessary symbols.

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-05-30 17:20:02 (31717)
- Move ldconfig call to correct package

* Tue May 30 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-05-30 17:02:10 (31716)
- Patch0: fix crash with rxvt-unicode
- Patch1: enable artificial embolding

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Wed May 10 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-10 16:33:56 (27066)
- added missing provides

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository
